<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~flowcell_protocol.js" 
	styles="path.css,~../css/reggie-2.css"
/>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Lab protocol for sequencing" 
		/></p:path>

	<div class="content">

	<form name="reggie" action="flowcell_protocol2.jsp" method="post" target="_blank" id="wizard" class="wizard">
		<input type="hidden" name="ID" value="<%=ID%>">
		<input type="hidden" name="flowcellidlist" value="">
		<input type="hidden" name="numlaneslist" value="">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select flow cells</div>
		<div class="step-content">
		
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Flow cells</td>
				<td class="input">
					<select class="required" name="flowcells" id="flowcells" multiple size="4"></select>
				</td>
				<td class="status" id="flowcells.status"></td>
				<td class="help">
					<span id="flowcells.message" class="message"></span>
					Select one or more existing flow cells. The list contains all flow cells that
					has not yet been sequenced (determined by the absence of a 'creation' date).
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocreate" title="Create protocol" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>