<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final boolean isNeoPrep = Values.getBoolean(request.getParameter("neoprep"));
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~lib_registration.js" 
	styles="path.css,~../css/reggie-2.css"
	>
<style>
.date-col
{
	width: 12em;
}

.operator-col input
{
	width: 95%;
}

</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="<%=isNeoPrep ? "NeoPrep library registration" : "Library registration"%>" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-is-neoprep="<%=isNeoPrep ? 1 : 0%>"
	></div>

	<div class="content">

	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title"><%=isNeoPrep ? "Select NeoPrep plate" : "Select Library bioplate"%></div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt"><%=isNeoPrep ? "NeoPrep plate" : "Library bioplate"%></td>
				<td class="input">
					<select class="required" name="bioplate" id="bioplate"></select>
				</td>
				<td class="status" id="bioplate.status"></td>
				<td class="help">
					<span id="bioplate.message" class="message"></span>
					Select an existing bioplate. The list contain all bioplates that
					has not yet been processed (determined by the absence of a 'creation' date).
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Outcome</td>
				<td class="input">
					<label><input type="radio" name="outcome" id="outcomeSuccess" 
						checked>Success</label> - continue processing<br>
					<label><input type="radio" name="outcome" id="outcomeFailed" 
						>Failure</label> - no further processing
				</td>
				<td class="status"></td>
				<td class="help">
					Select the <b>Failure</b> option if further processing to pooled libraries is not possible.
					Existing RNA will be flagged and added to the <b>Flagged RNA</b> list.
				</td>
			</tr>
			</table>
		</div>
	</div>	
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Full plate registration</div>
		<div class="step-content">

			<table class="step-form">
			<tr>
				<td class="prompt">Step</td>
				<td class="date-col"><b>Date</b></td>
				<td class="operator-col"><b>Operator</b></td>
				<td class="status"></td>
				<td class="help" rowspan="3">
					Enter date and operator for each step in the cDNA preparation.
					(YYYYMMDD or MMDD)
				</td>
			</tr>
			
			<tbody id="manualSection" style="<%=isNeoPrep ? "display:none;" : ""%>">
			<tr>
				<td class="subprompt">Amplification</td>
				<td class="date-col">
					<input type="text" name="amplificationDate" id="amplificationDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="amplificationOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="amplificationDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="amplificationDate"
							data-date-format="yyyyMMdd"
							data-title="Amplification date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="amplificationOperator" id="amplificationOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="cleanupDate"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="amplificationDate.status"></td>
			</tr>
			<tr>
				<td class="subprompt">Cleanup</td>
				<td class="date-col">
					<input type="text" name="cleanupDate" id="cleanupDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="cleanupOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="cleanupDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="cleanupDate"
							data-date-format="yyyyMMdd"
							data-title="Cleanup date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="cleanupOperator" id="cleanupOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="qubitcsv"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="cleanupDate.status"></td>
			</tr>
			</tbody>
			
			<tbody id="neoPrepSection" style="<%=isNeoPrep ? "" : "display:none;"%>">
			<tr>
				<td class="subprompt">Dilution</td>
				<td class="date-col">
					<input type="text" name="dilutionDate" id="dilutionDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="dilutionOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="dilutionDateCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="dilutionDate"
							data-date-format="yyyyMMdd"
							data-title="Dilution date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="dilutionOperator" id="dilutionOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="neoPrepDate"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="dilutionDate.status"></td>
				<td class="help">
					<span id="dilutionDate.message" class="message"></span>
				</td>
			</tr>
			<tr>
				<td class="subprompt">NeoPrep</td>
				<td class="date-col">
					<input type="text" name="neoPrepDate" id="neoPrepDate"
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="neoPrepOperator"
						style="width: 8em;" maxlength="10">
						<base:icon 
							id="neoPrepCalendar"
							subclass="auto-init"
							data-auto-init="calendar"
							data-textarea-id="neoPrepDate"
							data-date-format="yyyyMMdd"
							data-title="NeoPrep date"
							image="calendar.png" 
							tooltip="Select a date from a calendar" 
							tabindex="-1"
						/>
				</td>
				<td class="operator-col">
					<input type="text" name="neoPrepOperator" id="neoPrepOperator" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="libVolume"
						value="<%=HTML.encodeTags(user.getName())%>" maxlength="255">
				</td>
				<td class="status" id="neoPrepDate.status"></td>
				<td class="help">
					<span id="neoPrepDate.message" class="message"></span>
				</td>
			</tr>
			</tbody>

			<tbody id="filesSection">
			<tr>
				<td class="prompt">Qubit files</td>
				<td class="input" colspan="2"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr class="align-top">
				<td class="subprompt">Conc. CSV</td>
				<td class="input" colspan="2">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="qubitcsv" id="qubitcsv" 
							data-subtype="QUBIT_CSV" data-name-filter="%.csv"
							data-directory="/home/SCANB/LibPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="qubitcsv.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="qubitcsv.status"></td>
				<td class="help">
					<span id="qubitcsv.message" class="message"></span>
					Select the <b>Qubit CSV</b> file that contains the table with concentration
					measurements.
				</td>
			</tr>
			<tr>
				<td class="prompt">Caliper files</td>
				<td class="input" colspan="2"></td>
				<td class="status"></td>
				<td class="help"></td>
			</tr>
			<tr class="align-top">
				<td class="subprompt">Well table CSV</td>
				<td class="input" colspan="2">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="welltable" id="welltable" 
							data-subtype="CALIPER_WELL_TABLE" data-name-filter="%.csv"
							data-directory="/home/SCANB/LibPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="welltable.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="welltable.status"></td>
				<td class="help">
					<span id="welltable.message" class="message"></span>
					Select the <b>Well Table CSV</b> file that contains the exported 
					analysis result from the Caliper software. 
				</td>
			</tr>
			
			<tr class="align-top">
				<td class="subprompt">GXD raw data</td>
				<td class="input" colspan="2">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="calipergxd" id="calipergxd" 
							data-subtype="CALIPER_RAW_DATA" data-name-filter="%.gxd"
							data-directory="/home/SCANB/LibPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="calipergxd.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="calipergxd.status"></td>
				<td class="help">
					<span id="calipergxd.message" class="message"></span>
					Select the <b>GXD raw data file</b> from Caliper.
				</td>
			</tr>

			<tr class="align-top">
				<td class="subprompt">PDF file</td>
				<td class="input" colspan="2">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text" type="text" name="caliperpdf" id="caliperpdf" 
							data-subtype="CALIPER_PDF" data-name-filter="%.pdf"
							data-directory="/home/SCANB/LibPlateQC"
						>
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="caliperpdf.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="caliperpdf.status"></td>
				<td class="help">
					<span id="caliperpdf.message" class="message"></span>
					Select the <b>PDF file</b> that contains a printout with diagrams and other
					useful documentation.
				</td>
			</tr>
			</tbody>
			
			<tr>
				<td class="prompt">Protocol</td>
				<td class="input" colspan="2">
					<select name="libProtocol" id="libProtocol" 
						class="auto-init" data-auto-init="focus-on-enter" data-next-focus="libComments"
						></select>
				</td>
				<td class="status" id="libProtocol.status"></td>
				<td class="help">
					<span id="libProtocol.message" class="message"></span>
					Select the protocol used for library preparation.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">Comments</td>
				<td class="input" colspan="2">
					<textarea rows="4" name="libComments" id="libComments"></textarea>
				</td>
				<td class="status" id="libComments.status"></td>
				<td class="help">
					<span id="libComments.message" class="message"></span>
					Comments about the library preparation.
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div id="wizard-status"></div>
	
	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	<div id="debug-tools">
			<base:button 
				id="btnFakeQubit"
				image="bug.png"
				title="Fake Qubit file" 
				tooltip="Generate a fake Qubit file"
				data-cmd="GenerateFakeQubitFile"
				data-file-field="qubitcsv"
			/>
			<base:button 
				id="btnFakeWelltable"
				image="bug.png"
				title="Fake Caliper well table" 
				tooltip="Generate a fake Caliper file"
				data-cmd="GenerateFakeCaliperFile"
				data-file-field="welltable"
			/>
	</div>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>