<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="tbl" uri="/WEB-INF/table.tld" %>

<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	final String title = "Flagged RNA items";
	final int numFlagged = Values.getInt(request.getParameter("numFlagged"));
	final int numSelected = Values.getInt(request.getParameter("numSelected"));
%>
<base:page type="popup" title="<%=title%>">
<base:head 
	scripts="table.js,~show_flagged_rna.js,~../reggie-2.js" 
	styles="table.css,~../css/reggie-2.css"
	>
<style>
.bold
{
	color: #C80000;
	font-weight: bold;
}

.case-summary
{
	padding-left: 4px;
}
</style>
</base:head>
<base:body>
	<h1><%=title %></h1>

	<div class="content">
	<tbl:table id="flaggedRna" subclass="fulltable">
		<tbl:columndef id="rna" title="RNA" />
		<tbl:columndef id="location" title="Bioplate" />
		<tbl:columndef id="remainingQuanity" title="Remaining (µg)" />
		<tbl:columndef id="qualityScore" title="RQS/RIN" />
		<tbl:columndef id="comment" title="Comment" />
		<tbl:columndef id="flag" title="Flag" />
	
		<tbl:data style="top: 0; margin-top: 0;">
			<tbl:headers>
				<tbl:headerrow>
					<th></th>
					<tbl:columnheaders />
				</tbl:headerrow>
			</tbl:headers>
			<tbl:rows>
			<%
			for (int i = 0; i < numFlagged; ++i)
			{
				%>
				<tbl:row id="<%="row."+i%>">
					<td style="text-align: center; width: 20px;"><input type="checkbox" name="use.<%=i%>"></td>
					<tbl:cell column="rna" id="<%="rna."+i%>" clazz="if-yellow"><%=i%></tbl:cell>
					<tbl:cell column="location" id="<%="location."+i%>"></tbl:cell>
					<tbl:cell column="remainingQuanity" id="<%="remainingQuantity."+i%>"></tbl:cell>
					<tbl:cell column="qualityScore" id="<%="qualityScore."+i%>"></tbl:cell>
					<tbl:cell column="comment" id="<%="comment."+i%>"></tbl:cell>
					<tbl:cell column="flag" id="<%="flag."+i%>"></tbl:cell>
				</tbl:row>
				<%
			}
			%>
			</tbl:rows>
		</tbl:data>
	</tbl:table>
	</div>

	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button 
			id="btnUseSelected"
			title="Use selected" 
			disabled="<%=numSelected == 0%>" tooltip="Use the RNA and ignore the flag"
			image="<%=home + "/images/manual_rna.png"%>" />
		<base:button 
			id="btnUnflagSelected"
			title="Unflag" 
			image="<%=home+"/images/unflag.png"%>" tooltip="Do not flag the selected RNA" />
		<base:button id="close" title="Close" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>